server:
  port: 8080
spring:
  application:
    name: DronesTask
  datasource:
    hikari:
      driver-class-name: org.h2.Driver
      jdbc-url: jdbc:h2:mem:drones
      username: sa
      password: sa
      connection-test-query: SELECT 1
      maximum-pool-size: 10
      minimum-idle: 5
  jpa:
    database: h2
    generate-ddl: true
    show-sql: true
    hibernate:
      ddl-auto: create-drop
    properties:
      hibernate:
        dialect: org.hibernate.dialect.H2Dialect
        hbm2ddl:
          import_files: data.sql
  h2:
    console:
      enabled: true
      path: /h2-console

application:
  imagesDir: "${user.dir}/images"
  imagesUrlTemplate: http://localhost:8090/image/%s
  drone-loading-min-battery-level: 25.0
  drone-battery-level-check-enabled: false
  drone-battery-level-check-ms: 30000 
